Bug 2149680 - ckeditor-4.22.1 is available
Summary: ckeditor-4.22.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ckeditor
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-30 15:15 UTC by Upstream Release Monitoring
Modified: 2023-11-03 18:23 UTC (History)
2 users (show)

Fixed In Version: ckeditor-4.22.1-1.fc37 ckeditor-4.22.1-1.fc38 ckeditor-4.22.1-1.el7 ckeditor-4.22.1-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-04 15:48:20 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Update to 4.20.1 (#2149680) (916 bytes, patch)
2022-11-30 15:15 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 4.20.2 (#2149680) (1005 bytes, patch)
2023-02-15 13:33 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 4.21.0 (#2149680) (1005 bytes, patch)
2023-03-22 10:24 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 4.22.0 (#2149680) (1005 bytes, patch)
2023-06-30 11:49 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 4.22.1 (#2149680) (1005 bytes, patch)
2023-06-30 13:23 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 4.23.0-lts (#2149680) (1009 bytes, patch)
2023-08-24 14:00 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2022-11-30 15:15:24 UTC
Releases retrieved: 4.20.1
Upstream release that is considered latest: 4.20.1
Current version/release in rawhide: 4.20.0-1.fc38
URL: http://download.cksource.com/CKEditor/CKEditor/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/290/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/ckeditor

Comment 1 Upstream Release Monitoring 2022-11-30 15:15:29 UTC
Created attachment 1928778 [details]
Update to 4.20.1 (#2149680)

Comment 2 Upstream Release Monitoring 2022-11-30 15:19:42 UTC
the-new-hotness/release-monitoring.org's scratch build of ckeditor-4.20.1-1.fc36.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=94743427

Comment 3 Upstream Release Monitoring 2023-02-15 13:33:53 UTC
Releases retrieved: 4.20.2
Upstream release that is considered latest: 4.20.2
Current version/release in rawhide: 4.20.0-2.fc38
URL: http://download.cksource.com/CKEditor/CKEditor/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/290/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/ckeditor

Comment 4 Upstream Release Monitoring 2023-02-15 13:33:56 UTC
Created attachment 1944306 [details]
Update to 4.20.2 (#2149680)

Comment 5 Upstream Release Monitoring 2023-02-15 13:41:48 UTC
the-new-hotness/release-monitoring.org's scratch build of ckeditor-4.20.2-1.fc36.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=97527647

Comment 6 Upstream Release Monitoring 2023-03-22 10:24:33 UTC
Releases retrieved: 4.21.0
Upstream release that is considered latest: 4.21.0
Current version/release in rawhide: 4.20.0-2.fc38
URL: http://download.cksource.com/CKEditor/CKEditor/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/290/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/ckeditor

Comment 7 Upstream Release Monitoring 2023-03-22 10:24:36 UTC
Created attachment 1952706 [details]
Update to 4.21.0 (#2149680)

Comment 8 Upstream Release Monitoring 2023-03-22 10:32:15 UTC
the-new-hotness/release-monitoring.org's scratch build of ckeditor-4.21.0-1.fc36.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=99009842

Comment 9 Upstream Release Monitoring 2023-06-30 11:49:42 UTC
Releases retrieved: 4.22.0
Upstream release that is considered latest: 4.22.0
Current version/release in rawhide: 4.20.0-2.fc38
URL: http://download.cksource.com/CKEditor/CKEditor/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/290/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/ckeditor

Comment 10 Upstream Release Monitoring 2023-06-30 11:49:46 UTC
Created attachment 1973395 [details]
Update to 4.22.0 (#2149680)

Comment 11 Upstream Release Monitoring 2023-06-30 11:54:24 UTC
the-new-hotness/release-monitoring.org's scratch build of ckeditor-4.22.0-1.fc38.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=102776713

Comment 12 Upstream Release Monitoring 2023-06-30 13:23:55 UTC
Releases retrieved: 4.22.1
Upstream release that is considered latest: 4.22.1
Current version/release in rawhide: 4.20.0-2.fc38
URL: http://download.cksource.com/CKEditor/CKEditor/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/290/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/ckeditor

Comment 13 Upstream Release Monitoring 2023-06-30 13:23:58 UTC
Created attachment 1973405 [details]
Update to 4.22.1 (#2149680)

Comment 14 Upstream Release Monitoring 2023-06-30 13:27:55 UTC
the-new-hotness/release-monitoring.org's scratch build of ckeditor-4.22.1-1.fc38.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=102778002

Comment 15 Upstream Release Monitoring 2023-08-24 13:59:59 UTC
Releases retrieved: 4.23.0-lts
Upstream release that is considered latest: 4.23.0-lts
Current version/release in rawhide: 4.20.0-3.fc39
URL: http://download.cksource.com/CKEditor/CKEditor/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/290/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/ckeditor

Comment 16 Upstream Release Monitoring 2023-08-24 14:00:03 UTC
Scratch build failed. Details below:

BuilderException: Build failed:
Command '['rpmbuild', '-D', '_sourcedir .', '-D', '_topdir .', '-bs', '/var/tmp/thn-nstmbx62/ckeditor.spec']' returned non-zero exit status 1.

StdOut:
setting SOURCE_DATE_EPOCH=1692835200
error: Bad file: ./ckeditor_4.23.0_standard.tar.gz: No such file or directory

RPM build errors:
    Bad file: ./ckeditor_4.23.0_standard.tar.gz: No such file or directory


Traceback:
  File "/usr/local/lib/python3.11/site-packages/hotness/use_cases/package_scratch_build_use_case.py", line 56, in build
    result = self.builder.build(request.package, request.opts)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/hotness/builders/koji.py", line 229, in build
    raise BuilderException(

If you think this issue is caused by some bug in the-new-hotness, please report it on the-new-hotness issue tracker: https://github.com/fedora-infra/the-new-hotness/issues

Comment 17 Upstream Release Monitoring 2023-08-24 14:00:04 UTC
Created attachment 1985065 [details]
Update to 4.23.0-lts (#2149680)

Comment 18 Shawn Iwinski 2023-09-26 20:00:08 UTC
Version 4.22.1 is the last open source release of CKEditor 4. As announced in 2018, CKEditor 4 has reached its End of Life in June 2023. See https://ckeditor.com/cke4/release/CKEditor-4.22.0-4.22.1

Version 4.23.0 LTS requires commercial terms. See https://ckeditor.com/cke4/release/CKEditor-4.23.0-LTS

Comment 19 Fedora Update System 2023-09-26 20:18:21 UTC
FEDORA-2023-79b5902a52 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-79b5902a52

Comment 20 Fedora Update System 2023-09-26 20:18:21 UTC
FEDORA-2023-983ff03630 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-983ff03630

Comment 21 Fedora Update System 2023-09-26 20:18:22 UTC
FEDORA-2023-426b3a500d has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-426b3a500d

Comment 22 Fedora Update System 2023-09-27 01:26:27 UTC
FEDORA-2023-426b3a500d has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-426b3a500d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-426b3a500d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 Fedora Update System 2023-09-27 01:29:56 UTC
FEDORA-2023-983ff03630 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-983ff03630`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-983ff03630

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 24 Fedora Update System 2023-09-27 01:36:07 UTC
FEDORA-EPEL-2023-c283911e27 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-c283911e27

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 25 Fedora Update System 2023-09-27 01:36:15 UTC
FEDORA-2023-79b5902a52 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-79b5902a52`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-79b5902a52

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 26 Fedora Update System 2023-10-04 15:48:20 UTC
FEDORA-2023-983ff03630 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Fedora Update System 2023-10-04 15:50:58 UTC
FEDORA-2023-79b5902a52 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 28 Fedora Update System 2023-10-05 00:30:59 UTC
FEDORA-EPEL-2023-c283911e27 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 29 Fedora Update System 2023-11-03 18:23:35 UTC
FEDORA-2023-426b3a500d has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.